Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAReq2SendReceivedTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAReq2SendReceivedTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAReq2SendReceivedTypes

extends java.lang.Object

`SNAReq2SendReceivedTypes` class represents all request to send received types:

  `CM_REQ_TO_SEND_NOT_RECEIVED`
  `CM_REQ_TO_SEND_RECEIVED`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_REQ_TO_SEND_NOT_RECEIVED`
`static int` | `CM_REQ_TO_SEND_RECEIVED`

Constructor Summary
`SNAConstants.SNAReq2SendReceivedTypes()`

Method Summary
`static int` | `getCM_REQ_TO_SEND_NOT_RECEIVED()`
`static int` | `getCM_REQ_TO_SEND_RECEIVED()`
`static java.lang.String` | `getReq2SendReceivedTypeString(int req2SendReceivedType)` Returns the req2SendReceivedType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_REQ_TO_SEND_NOT_RECEIVED

    public static final int CM_REQ_TO_SEND_NOT_RECEIVED

See Also:
  Constant Field Values

### CM_REQ_TO_SEND_RECEIVED

    public static final int CM_REQ_TO_SEND_RECEIVED

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAReq2SendReceivedTypes

    public SNAConstants.SNAReq2SendReceivedTypes()

Method Detail

### getCM_REQ_TO_SEND_NOT_RECEIVED

    public static final int getCM_REQ_TO_SEND_NOT_RECEIVED()

  Returns:
    CM_REQ_TO_SEND_NOT_RECEIVED

### getCM_REQ_TO_SEND_RECEIVED

    public static final int getCM_REQ_TO_SEND_RECEIVED()

  Returns:
    CM_REQ_TO_SEND_RECEIVED

### getReq2SendReceivedTypeString

    public static final java.lang.String getReq2SendReceivedTypeString(int req2SendReceivedType)

  Returns the req2SendReceivedType as String

  Parameters:
    `req2SendReceivedType` - The req2SendReceivedType in int
  Returns:
    The req2SendReceivedType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.